#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);

    int n, k ,inputt;

    cin >> n >> k;
    vector<int> numbers(2*n);
    for(int i = 0; i < n; i++)
    {
        cin >> inputt;
        numbers[i] = inputt;
        numbers[i+n] = inputt;
    }
    for(int i = 0; i < n; i++)
    {
        if(numbers[i] == k){
             cout << numbers[i+1];
             break;
        }
    }

    return 0;
}